Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 740954 - dev-lang/cll1h: stuck on EAPI 4
Summary: dev-lang/cll1h: stuck on EAPI 4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: EAPI4Removal
  Show dependency tree
 
Reported: 2020-09-08 00:06 UTC by Sam James
Modified: 2020-09-16 21:23 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-09-08 00:06:45 UTC
Needs a port to a newer EAPI (ideally 7).

As this package is maintainer-needed, it is possible it could be last-rited if nobody steps up.
Comment 1 Larry the Git Cow gentoo-dev 2020-09-13 01:21:45 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=86877ad4b8f13dd052e5f069418d5f87c26aeef1

commit 86877ad4b8f13dd052e5f069418d5f87c26aeef1
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-09-13 01:18:49 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-13 01:18:49 +0000

    profiles/package.mask: last-rite dev-lang/cll1h
    
    Bug: https://bugs.gentoo.org/740954
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2020-09-16 20:16:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f2582faeb51dc8aab07c6f5a407b1b3a32f38c0

commit 6f2582faeb51dc8aab07c6f5a407b1b3a32f38c0
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-09-16 20:16:13 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-09-16 20:16:13 +0000

    dev-lang/cll1h: Port to EAPI 7
    
    Closes: https://bugs.gentoo.org/740954
    Package-Manager: Portage-3.0.7, Repoman-3.0.1
    Signed-off-by: David Seifert <soap@gentoo.org>

 dev-lang/cll1h/cll1h-0.6-r1.ebuild | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)
Comment 3 Larry the Git Cow gentoo-dev 2020-09-16 21:09:17 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c4f0ad33838316e3f83185101081b219caeb455

commit 7c4f0ad33838316e3f83185101081b219caeb455
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-09-16 21:06:18 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-16 21:09:13 +0000

    profiles/package.mask: un-last-rite dev-lang/cll1h
    
    Soap's ported this to EAPI 7 in 6f2582faeb51dc8aab07c6f5a407b1b3a32f38c0
    and there were no other open bugs, so let's un-last-rite.
    
    Bug: https://bugs.gentoo.org/740954
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/package.mask | 6 ------
 1 file changed, 6 deletions(-)